org.springframework.cloud.dataflow.rest.resource.about

## Class MonitoringDashboardInfo

- java.lang.Object
- - org.springframework.cloud.dataflow.rest.resource.about.MonitoringDashboardInfo

-     public class MonitoringDashboardInfo
      extends Object

  This entity will contains the dashboard configuration information exposed by the SCDF server.
  Author:
    Christian Tzolov

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MonitoringDashboardInfo()` Default constructor for serialization frameworks.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MonitoringDashboardType` | `getDashboardType()`
    `int` | `getRefreshInterval()`
    `String` | `getSource()`
    `String` | `getUrl()`
    `void` | `setDashboardType(MonitoringDashboardType dashboardType)`
    `void` | `setRefreshInterval(int refreshInterval)`
    `void` | `setSource(String source)`
    `void` | `setUrl(String url)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MonitoringDashboardInfo

          public MonitoringDashboardInfo()

      Default constructor for serialization frameworks.

  - ### Method Detail

    - #### getUrl

          public String getUrl()

    - #### setUrl

          public void setUrl(String url)

    - #### getRefreshInterval

          public int getRefreshInterval()

    - #### setRefreshInterval

          public void setRefreshInterval(int refreshInterval)

    - #### getDashboardType

          public MonitoringDashboardType getDashboardType()

    - #### setDashboardType

          public void setDashboardType(MonitoringDashboardType dashboardType)

    - #### getSource

          public String getSource()

    - #### setSource

          public void setSource(String source)

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.